# optimbase_histget

Returns the history value.

## Calling Sequence

                value = optimbase_histget(opt, iter, key)

## Argument

opt

  The object of TOPTIM type (tlist).

iter

  An integer. The iteration number to get.

key

  A string. The name of the key to quiery.

value

  A 1-by-1 matrix of doubles. The value to get.

## Description

The `optimbase_histget` function returns the history value at the given iteration number for the given key. If the key is unknown, this function generates an error.

The list of available keys is the same as the `optimbase_histset` :

-xopt

  The x optimum.

-fopt

  The optimum cost function value.

## Example

        opt = optimbase_new();

        opt = optimbase_configure ( opt , "-storehistory" , %t );
        opt = optimbase_histset ( opt , 1 , "-xopt" , [1.0 1.0]' );
        x0 = optimbase_histget ( opt , 1 , "-xopt" )
        fopt = optimbase_get(opt,"-fopt")
        opt = optimbase_histset ( opt , 1 , "-fopt" , 1.0 );
        f0 = optimbase_histget ( opt , 1 , "-fopt" )

        opt = optimbase_destroy(opt);

## See Also

- optimbase_histset
- optimbase_get
- optimbase_cget